using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 工程控制措施
    /// </summary>
    [Description("工程控制措施")]
    public class T_HM_ENGINEERING_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldIndex(true)]
        public string NAME { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [EnumName("HMOperationStepEnum")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public HMOperationStepEnum STATUS { get; set; }
        /// <summary>
        /// 评价类型
        /// </summary>
        [Description("评价类型")]
        [EnumName("HMRiskTypeEnmu")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public HMRiskTypeEnmu EVALUATE_TYPE { get; set; }
    }
}